*###########################################################################################
*### Descriptive statistics - Difference-in-Differences Trends

*### PATHS (Put the file path where you downloaded the contents of the zip file)
*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
global path 	".../Example8/"
*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

*### VERSION TRACK
/*
Created by Pavel Luengas
Last update: Nov 20, 2022

Version 1.0 - Nov 20, 2022
   - File created 

Contact me for comments and questions:
pavel@pavellsierra.com     */

*===========================================================================================

version 14
set more off

*############################################### 
*###  

use "$path/Dataset", clear

set scheme s1mono  // Get rid of all color

twoway /*
   */ (line xrC1 time_to_cap, lpattern(solid) lwidth(vthin)  lcolor("orange_red")) /*
   */ (line xrC0 time_to_cap, lpattern(solid) lwidth(vthin)  lcolor("56 82 249")) /*
   */   /*
   */ , /*
   */ plotr(m(zero)) plotregion(lwidth(vthin)) /* 
   */ aspect(.5) /* 
   */   /*
   */ title(" "  , size(medlarge))  /*
   */   /*
   */ ytitle("Homicide rate per 100,000", size(medsmall)) /*
   */ yscale(range(0 40) lwidth(vthin)) /*
   */ ylabel(0(10)40, labsize(medsmall)  angle(horizontal) tlwidth(vthin)) /*
   */   /*
   */ xtitle("{it:k}=Month Relative to Capture", size(medsmall)) /*
   */ xscale(range(-60 60)  lwidth(vthin)) /*
   */ xlabel(-60(12)60, labsize(medium) tlwidth(vthin))    /*
   */   /*
   */ xline(0, lpattern(solid) lcolor(black) lwidth(medium)) /*
   */ xline(-36, lwidth(thin) lpattern(dash) lcolor(edkblue)) /*
   */ xline(+36, lwidth(thin) lpattern(dash) lcolor(edkblue)) /*
   */ text( 42 0 "{&plusmn}36 months within capture  ", placement(n) size(medsmall)) /*   
   */   /*
   */   /*
   */   /*
   */ legend(on ring(0) position(11) region(style(none)) region(lwidth(none)) /*
   */  bmargin(0 0 0 0) /*
   */ rowgap(0.2) colgap(1) keygap(1) symxsize(6) symysize(1) size(medsmall) /*
   */ order(1 2)  /*
   */ label(1 "Treatment (N=71)") /*
   */ label(2 "Control (N=916)") /*
   */ col(1) ) 

graph export "$path/Figs/Figure.eps", replace 
graph save Graph "$path/Graph.gph", replace

